#!perl

require "./xbase.perl";
require "./xwdhead.perl";
require "./zcatfast.perl";

print &xlib'x_open_display($ENV{"DISPLAY"}),"\n";

print &xlib'x_beep(25),"\n";

$xwdat="";
while (<DATA>) {
    next if (/^begin \d+/);
    last if (/^end$/);
    $xwdat .= unpack("u",$_);
}

{
    package zcat;
    &init;
    $source = "var"; $indata=$main'xwdat;
    $dest =   "var"; $outdata="";
    &uncompress;
    $main'xwdat = $outdata;
    package main;
}


print &xlib'getxwd_str($xwdat),"\n";

$xw = $xlib'xwd_image_width;
$xh = $xlib'xwd_image_height;
$image = $xlib'xwd_image;

$pix = &xlib'x_create_pixmap($xlib'root_window, 
			     1,	# depth
			     $xw, $xh);
$GC = &xlib'x_create_gc($pix,
			$xlib'defines{"GCForeground"}
			| $xlib'defines{"GCBackground"},
			$xlib'root_black, $xlib'root_white);

$bpl = &xlib'xindexof("XWDFileHeader","bytes_per_line",@xlib'xwddat);

&xlib'x_put_image($pix,$GC,$xlib'defines{"XYBitmap"},$image,0,0,$xw,$xh,0,1,$bpl);

print &xlib'x_set_window_background_pixmap($xlib'root_window,$pix),"\n";
print &xlib'x_clear_area($xlib'root_window,0, 0,0,0,0);
# which is a special case - x,y,w,h == 0 :-)


close xlib'XFD;

__END__
begin 644 stars
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'>LH)6HCK(495
 
end
