#!perl
package zcat;

sub init {
    $i=0;
    $q=0;
    $b=0;
    $n=0;
    $k=16;
    $e=128;
    $j=0;$O=0;$S=0;
    $o=0;$v=0;$c=0;$m=0;$M=(1<<(16));$f=0;
}

sub getchar {
    local($CH);
    if ($source eq "STDIN") {
	read(STDIN,$CH,1);
    } else {
	$CH = substr($indata,$idx++,1);
    }
    return ord($CH) if (defined $CH);
    -1;
}

sub putchar {
    if ($dest eq "STDOUT") {
	print pack("c",$_[0]);
    } else {
	$outdata .= pack("c",$_[0]);
    }
}

sub g {
    if($j>0||$O>=$S||$f>$m)
    {
	if($f>$m) {
	    $m= ++$n==$k?$M:(1<<($n))-1;
	}
	if($j>0) {
	    $m=(1<<($n=9))-1,$j=0;
	}
	if ($source eq "STDIN") {
	    $S=read(STDIN,$D,$n);
	} else {
	    $S = length($indata)-$idx;
	    if ($S > $n) { $S = $n; }
	    $D = substr($indata,$idx,$S); $idx+=$S;
	}
	return -1 if(!defined($S) || $S == 0);
	$O=0;
	$S=($S<<3)-$n+1;
    }
    $q=$O;
    $b=$n;
    $p=$q>>3;
    $q&=7;
    $c=(ord(substr($D,$p,1))>>$q&((1<<(8-$q))-1));$p++;
    $q=8-$q;
    $b-=$q;
    if($b>=8) {
	$c|=(ord(substr($D,$p,1))&255)<<$q,$q+=8,$b-=8;$p++;
    }
    $c|=( ord(substr($D,$p,1))&((1<<($b))-1))<<$q;
    $O+=$n;
    $c;
}
sub main {
    &init;
    $slurptest=1;
    if ($slurptest) {
	$source = "var";
	undef $/;
	$indata = <>;
	$idx = 0;
	
	$outdata = "";
	$dest = "var";
    } else {
	$source = "STDIN";
	$dest = "STDOUT";
    }

    &uncompress;
    if ($slurptest) {
	print $outdata;
    }
}
sub uncompress {
    if(&getchar!=31||&getchar!=157)
    {
	die "Bad COMPRESS file format\n";
    }
    $k=&getchar;
    $e=$k&128;
    $k&=31;
    $M=(1<<($k));
    if($k>16)
    {
	die "Bad COMPRESS file format\n";
    };
    &z;
    0;
}

sub z {
    local($w)=0;
    local($s)=0;
    $m=(1<<($n=9))-1;

    @t = (0 x 256);
    @h = 0..255;

    $f=$e?257:256;
    $i=$o=&g;
    return if($o==-1);
    &putchar($i);
    undef @ss;
    $s = 0; 
    while(($w=&g)>-1)
    {
	if($w==256&&$e)
	{
	    @t = (0 x 256);
	    $j=1;
	    $f=256;
	    last if(($w=&g)==-1);
	}
	$v=$w;
	if($w>=$f) {
	    $ss[$s]=$i;$s++;
	    $w=$o;
	}
	while($w>=256) {
	    $ss[$s]=$h[$w];
	    $s++;
	    $w=$t[$w];
	}
	$ss[$s]=$i=$h[$w]; $s++;

	if ($dest eq "STDOUT") {
	    do {
		--$s;
		&putchar($ss[$s]);
	    } while($s>0);
	} else {
	    $outdata .= pack("c*",reverse @ss);
	    $s = 0;
	    undef @ss;
	}
	if(($w=$f)<$M) {
	    $t[$w]=$o;
	    $h[$w]=$i;
	    $f=$w+1;
	}
	$o=$v;
    }
}

1;
# This was based on an "obfuscated" zcat I found in a posting 
# by James Woods back in 1987. I used it because it was short...
# Some of the original headers:
# From: jaw@aurora.UUCP (James A. Woods)
# Newsgroups: comp.sources.misc
# Subject: Submission for comp-sources-misc
# Message-ID: <681@aurora.UUCP>
# Date: 21 May 87 09:00:59 GMT
